From 9eec5e4470397632af035c429295a41b74bd0585 Mon Sep 17 00:00:00 2001
From: "V.Krishn" <vkrishn4@gmail.com>
Date: Sun, 8 Mar 2015 09:35:27 +0000
Subject: [PATCH] From 1eae843e5590ba2251349ec3aab167ea3762b295 Mon Sep 17
 00:00:00 2001 Subject: [PATCH] Fix build with musl libc

Fix building libwebsockets with the musl C libary.

<sys/cdefs.h> is an internal glibc header and should be avoided in user code.

__P() was used for compatibility with some old K&R C compilers, when there were
no prototypes (which were introduced to C with C89). As supporting legacy
non-ANSI compilers is nowadays not necessary anymore get rid of the unnecessary
function prototype using __P().
---
 lib/private-libwebsockets.h | 1 -
 lib/sha-1.c                 | 1 -
 2 files changed, 2 deletions(-)

diff --git a/lib/private-libwebsockets.h b/lib/private-libwebsockets.h
index 3237798..6454615 100644
--- a/lib/private-libwebsockets.h
+++ b/lib/private-libwebsockets.h
@@ -235,7 +235,6 @@ typedef unsigned __int64 u_int64_t;
 #else
 
 #include <sys/stat.h>
-#include <sys/cdefs.h>
 #include <sys/time.h>
 
 #if defined(__APPLE__)
diff --git a/lib/sha-1.c b/lib/sha-1.c
index 1c5f69a..f5d58c7 100644
--- a/lib/sha-1.c
+++ b/lib/sha-1.c
@@ -99,7 +99,6 @@ static const unsigned int _K[] =
 		sha1_step(ctxt);		\
 	}
 
-static void sha1_step __P((struct sha1_ctxt *));
 
 static void
 sha1_step(struct sha1_ctxt *ctxt)
